Bug 503242 - Syntax error in fixfiles
Syntax error in fixfiles
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 16:23 EDT by Will Woods
Modified: 2009-11-18 08:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:09:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the syntax error (703 bytes, patch)
2009-05-29 16:23 EDT, Will Woods
no flags Details | Diff

  None (edit)
Description Will Woods 2009-05-29 16:23:28 EDT
Created attachment 345956 [details]
Patch to fix the syntax error

in policycoreutils-2.0.62-12.6.fc11, fixfiles has a syntax error in the find statement on line 131-133:

        /usr/bin/find "$FILEPATH" \
            ! \( -fstype ext2 -o -fstype ext3 -o -fstype ext4 -o -fstype ext4dev -o -fstype gfs2 -o -fstype jfs -o -fstype xfs -o fstype btrfs \) -prune  -o -print0 | \ 

'-o fstype btrfs' should be '-o -fstype btrfs' - note the dash on fstype.

This causes "fixfiles restore $SOMEPATH" to fail.

'fixfiles -C ${FILE_CONTEXT}.pre restore' is run in the %post of selinux-policy-targeted, but this uses a different code path than normal 'fixfiles restore $SOMEPATH'. AFAICT no other RPM scripts call 'fixfiles restore' so we can *probably* get away with fixing this in a 0-day update if necessary.
Comment 1 Daniel Walsh 2009-06-01 06:38:47 EDT
Fixed in policycoreutils-2.0.62-12.9
Comment 2 Bug Zapper 2009-06-09 12:49:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.